#include "DxLib.h"
#include "board.h"
#include "main.h"
#include "gamedata.h"

static int MouseX, MouseY;

//}EX̃NbNWo
void Main_Player(){
	if (GetMouseInput() & MOUSE_INPUT_LEFT) {
			GetMousePoint(&MouseX, &MouseY);
			if (0 <= MouseX && MouseX < BOARD_X && 0 <= MouseY && MouseY < BOARD_Y){
				Board_Putchip(MouseX / BOARDCHIP_SIZE, MouseY / BOARDCHIP_SIZE, true);
			}
	}
}

//C֐
int WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int){
	ChangeWindowMode(TRUE);
	SetDrawScreen(DX_SCREEN_BACK);
	SetGraphMode(SCREEN_X, SCREEN_Y, 32);

	Game_Init();

	while (ScreenFlip() == 0 && ProcessMessage() == 0 &&
		ClearDrawScreen() == 0){

		Game_Update();
		Main_Player();
		Game_Draw();

	}
	DxLib_End(); // DXCuI
	return 0;
}